LINUX.ORG.RU

Нет. Дело даже не в том, как установить .rpm — это решаемо через alien, а в том, что это драйвер для более старых ОС.

Vsevolod-linuxoid ★★★★★ ()
Ответ на: комментарий от Vsevolod-linuxoid

Может есть эмулятор или возможность добавить поддержку этого пакета в систему?

MrSmart ()
Ответ на: комментарий от Vsevolod-linuxoid

В CentOS утилита заработает? Не имел дела с этой системой. Просто хост - proxmox(debian).

MrSmart ()
Ответ на: комментарий от MrSmart

Скорее всего да, раз на RHEL 5 рассчитана. Как я понял, сейчас на IBM System x3550 Debian стоит?

А IBM не выпускала версии дров под более поздние ОС, CentOS 7 например?

Vsevolod-linuxoid ★★★★★ ()

Тупая школота рассказывает оплачиваемому сотруднику как разрулить вопросы с бимерским железом. Это лор детка))

mos ★★☆☆☆ ()
Ответ на: комментарий от mos

Я как бы и не особо скрываю, что нуб, профиль смотри. А если есть идеи получше или нашел ошибки в моих словах, не стесняйся, скажи.

Нет, правда. Я не обижаюсь на критику, если она по делу.

А то просто называть всех идиотами и бот сможет.

Vsevolod-linuxoid ★★★★★ ()
Ответ на: комментарий от mos

Вы в корне не правы - эта железка живет в моем гараже и используется как домашний сервер. Я не админ и за это мне никто не платит.

Вместо оскорблений лучше просто проходите мимо, не выставляя себя в глупом свете.

Если подумается про стрельбу из пушки по воробьям, отвечу просто - могу себе это позволить.

На сайте IBM, к сожалению, дрова только под windows, redhat и sles. Система давно устарела и не обновляется. Мне нужен гипервизор для экспериментов, поэтому стоит debian-proxmox.

MrSmart ()

Какого рода вообще файлы в пакете?

anonymous ()
Ответ на: комментарий от anonymous

root@x3550:~/usb# rpm2cpio ibmusbasm64-1.53-2.rhel5.x86_64.rpm | cpio -dimv

./etc/init.d/ibmasm

./lib/libsysSp.so

./lib/libsysSp.so.32

./lib64/libsysSp.so

./lib64/libsysSp.so.64

./sbin/ibmasm

./sbin/ibmspdown

./sbin/ibmspup

./usr/share/doc/ibmusbasm64-1.53

./usr/share/doc/ibmusbasm64-1.53/readme.txt

193 blocks

MrSmart ()
Ответ на: комментарий от MrSmart

Здесь нет драйвера уровня ядра, почти уверен, что при некотором старании оно легко заработает где угодно. Могут потребоваться старые версии glibc и ещё каких-нибудь библиотек.

anonymous ()
Ответ на: комментарий от anonymous

root@x3550:~/usb2# rpm2cpio ibmusbasm64-rhel5-1.53-2.src.rpm | cpio -dimv

ibmasm.initscript

ibmusbasm.spec

ibmusbasm64-src.tgz

readme.txt

145 blocks

root@x3550:~/usb2# tar -xvzf ibmusbasm64-src.tgz

ibmusbasm64-src/

ibmusbasm64-src/ibmusbasm.spec

ibmusbasm64-src/ibmasm.initscript

ibmusbasm64-src/src/

ibmusbasm64-src/src/ibmasm.h

ibmusbasm64-src/src/ibmasm.c

ibmusbasm64-src/ibmspdown

ibmusbasm64-src/exe/

ibmusbasm64-src/ibmspup

ibmusbasm64-src/shlib/

ibmusbasm64-src/shlib/uwiapi.c

ibmusbasm64-src/readme.txt

MrSmart ()
Ответ на: комментарий от MrSmart

эта железка живет в моем гараже и используется как домашний сервер. Я не админ и за это мне никто не платит.

отдайте её тогда кому-нибудь кто в состоянии сам разобраться с парой файлов и не спрашивает глупых вопросов и тем более не слушает глупых советов.

mos ★★☆☆☆ ()
Ответ на: комментарий от anonymous

Я встречал на англоязычных форумах упоминания о том что получилось запустить утилиту на debian, но описания решения там нет.

root@x3550:~/usb# /etc/init.d/ibmasm start

Starting IBM RSA II daemon

/etc/init.d/ibmasm: line 43: usleep: command not found

MrSmart ()
Ответ на: комментарий от MrSmart

Перепиши в нормальный systemd-юнит без этих костылей, делов-то.

anonymous ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.